# Uses of Class
javafx.scene.shape.VertexFormat

Packages that use VertexFormat
Package
Description
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of VertexFormat in javafx.scene.shape

Fields in javafx.scene.shape declared as VertexFormat
Modifier and Type
Field
Description
`static final VertexFormat`
VertexFormat.`POINT_NORMAL_TEXCOORD`
Specifies the format of a vertex that consists of a point, normal and texture coordinates.
`static final VertexFormat`
VertexFormat.`POINT_TEXCOORD`
Specifies the format of a vertex that consists of a point and texture coordinates.
Methods in javafx.scene.shape that return VertexFormat
Modifier and Type
Method
Description
`final VertexFormat`
TriangleMesh.`getVertexFormat()`
Gets the value of the `vertexFormat` property.
Methods in javafx.scene.shape that return types with arguments of type VertexFormat
Modifier and Type
Method
Description
`final ObjectProperty<VertexFormat>`
TriangleMesh.`vertexFormatProperty()`
Specifies the vertex format of this `TriangleMesh`, one of `VertexFormat.POINT_TEXCOORD` or `VertexFormat.POINT_NORMAL_TEXCOORD`.
Methods in javafx.scene.shape with parameters of type VertexFormat
Modifier and Type
Method
Description
`final void`
TriangleMesh.`setVertexFormat(VertexFormat value)`
Sets the value of the `vertexFormat` property.
Constructors in javafx.scene.shape with parameters of type VertexFormat
Modifier
Constructor
Description
``
`TriangleMesh(VertexFormat vertexFormat)`
Creates a new instance of `TriangleMesh` class with the specified `VertexFormat`.